Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.search
Interface IJavaSearchConstants

public interface IJavaSearchConstants

This interface defines the constants used by the search engine.

This interface declares constants only; it is not intended to be implemented.

See Also:
  `SearchEngine`

Field Summary
`static int` | `ALL_OCCURRENCES` The search result is a declaration, a reference, or an implementer of an interface.
`static int` | `CANCEL_IF_NOT_READY_TO_SEARCH` The search operation throws an `org.eclipse.core.runtime.OperationCanceledException` if the underlying indexer has not finished indexing the workspace.
`static boolean` | `CASE_INSENSITIVE` Deprecated. Use the methods that take the matchMode without `SearchPattern.R_CASE_SENSITIVE` as a matchRule instead.
`static boolean` | `CASE_SENSITIVE` Deprecated. Use the methods that take the matchMode with `SearchPattern.R_CASE_SENSITIVE` as a matchRule instead.
`static int` | `CLASS` The searched element is a class.
`static int` | `CONSTRUCTOR` The searched element is a constructor.
`static int` | `DECLARATIONS` The search result is a declaration.
`static int` | `EXACT_MATCH` Deprecated. Use `SearchPattern.R_EXACT_MATCH` instead.
`static int` | `FIELD` The searched element is a field.
`static int` | `FORCE_IMMEDIATE_SEARCH` The search operation starts immediately, even if the underlying indexer has not finished indexing the workspace.
`static int` | `IMPLEMENTORS` The search result is a type that implements an interface.
`static int` | `INTERFACE` The searched element is an interface.
`static int` | `METHOD` The searched element is a method.
`static int` | `PACKAGE` The searched element is a package.
`static int` | `PATTERN_MATCH` Deprecated. Use `SearchPattern.R_PATTERN_MATCH` instead.
`static int` | `PREFIX_MATCH` Deprecated. Use `SearchPattern.R_PREFIX_MATCH` instead.
`static int` | `READ_ACCESSES` When searching for field matches, it will exclusively find read accesses, as opposed to write accesses.
`static int` | `REFERENCES` The search result is a reference.
`static int` | `TYPE` The searched element is a type.
`static int` | `UNKNOWN` The nature of searched element or the nature of match in unknown.
`static int` | `WAIT_UNTIL_READY_TO_SEARCH` The search operation waits for the underlying indexer to finish indexing the workspace before starting the search.
`static int` | `WRITE_ACCESSES` When searching for field matches, it will exclusively find write accesses, as opposed to read accesses.

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  The nature of searched element or the nature of match in unknown.

  See Also:
    Constant Field Values

### TYPE

    public static final int TYPE

  The searched element is a type.

  See Also:
    Constant Field Values

### METHOD

    public static final int METHOD

  The searched element is a method.

  See Also:
    Constant Field Values

### PACKAGE

    public static final int PACKAGE

  The searched element is a package.

  See Also:
    Constant Field Values

### CONSTRUCTOR

    public static final int CONSTRUCTOR

  The searched element is a constructor.

  See Also:
    Constant Field Values

### FIELD

    public static final int FIELD

  The searched element is a field.

  See Also:
    Constant Field Values

### CLASS

    public static final int CLASS

  The searched element is a class. More selective than using TYPE

  See Also:
    Constant Field Values

### INTERFACE

    public static final int INTERFACE

  The searched element is an interface. More selective than using TYPE

  See Also:
    Constant Field Values

### DECLARATIONS

    public static final int DECLARATIONS

  The search result is a declaration. Can be used in conjunction with any of the nature of searched elements so as to better narrow down the search.

  See Also:
    Constant Field Values

### IMPLEMENTORS

    public static final int IMPLEMENTORS

  The search result is a type that implements an interface. Used in conjunction with either TYPE or CLASS or INTERFACE, it will respectively search for any type implementing/extending an interface, or rather exclusively search for classes implementing an interface, or interfaces extending an interface.

  See Also:
    Constant Field Values

### REFERENCES

    public static final int REFERENCES

  The search result is a reference. Can be used in conjunction with any of the nature of searched elements so as to better narrow down the search. References can contain implementers since they are more generic kind of matches.

  See Also:
    Constant Field Values

### ALL_OCCURRENCES

    public static final int ALL_OCCURRENCES

  The search result is a declaration, a reference, or an implementer of an interface. Can be used in conjunction with any of the nature of searched elements so as to better narrow down the search.

  See Also:
    Constant Field Values

### READ_ACCESSES

    public static final int READ_ACCESSES

  When searching for field matches, it will exclusively find read accesses, as opposed to write accesses. Note that some expressions are considered both as field read/write accesses: for example, x++; x+= 1;

  Since:
    2.0
  See Also:
    Constant Field Values

### WRITE_ACCESSES

    public static final int WRITE_ACCESSES

  When searching for field matches, it will exclusively find write accesses, as opposed to read accesses. Note that some expressions are considered both as field read/write accesses: for example, x++; x+= 1;

  Since:
    2.0
  See Also:
    Constant Field Values

### EXACT_MATCH

    public static final int EXACT_MATCH

  Deprecated. Use `SearchPattern.R_EXACT_MATCH` instead.

  The search pattern matches exactly the search result, that is, the source of the search result equals the search pattern.

  See Also:
    Constant Field Values

### PREFIX_MATCH

    public static final int PREFIX_MATCH

  Deprecated. Use `SearchPattern.R_PREFIX_MATCH` instead.

  The search pattern is a prefix of the search result.

  See Also:
    Constant Field Values

### PATTERN_MATCH

    public static final int PATTERN_MATCH

  Deprecated. Use `SearchPattern.R_PATTERN_MATCH` instead.

  The search pattern contains one or more wild cards ('*') where a wild-card can replace 0 or more characters in the search result.

  See Also:
    Constant Field Values

### CASE_SENSITIVE

    public static final boolean CASE_SENSITIVE

  Deprecated. Use the methods that take the matchMode with `SearchPattern.R_CASE_SENSITIVE` as a matchRule instead.

  The search pattern matches the search result only if cases are the same.

  See Also:
    Constant Field Values

### CASE_INSENSITIVE

    public static final boolean CASE_INSENSITIVE

  Deprecated. Use the methods that take the matchMode without `SearchPattern.R_CASE_SENSITIVE` as a matchRule instead.

  The search pattern ignores cases in the search result.

  See Also:
    Constant Field Values

### FORCE_IMMEDIATE_SEARCH

    public static final int FORCE_IMMEDIATE_SEARCH

  The search operation starts immediately, even if the underlying indexer has not finished indexing the workspace. Results will more likely not contain all the matches.

  See Also:
    Constant Field Values

### CANCEL_IF_NOT_READY_TO_SEARCH

    public static final int CANCEL_IF_NOT_READY_TO_SEARCH

  The search operation throws an `org.eclipse.core.runtime.OperationCanceledException` if the underlying indexer has not finished indexing the workspace.

  See Also:
    Constant Field Values

### WAIT_UNTIL_READY_TO_SEARCH

    public static final int WAIT_UNTIL_READY_TO_SEARCH

  The search operation waits for the underlying indexer to finish indexing the workspace before starting the search.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.